package com.leromro.core.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 业务价格对象 l_business_price
 * 
 * @author ruoyi
 * @date 2025-04-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_business_price")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BusinessPrice", description = "业务价格")
public class BusinessPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务价格id */
    @TableId(type = IdType.AUTO)
    private Long businessPriceId;

    /** 业务价格 */
    @TableField("business_price")
    @ApiModelProperty("业务价格")
    private BigDecimal businessPrice;

    /** 业务时长(整数分钟) */
    @TableField("business_duration")
    @ApiModelProperty("业务时长(整数分钟)")
    private Integer businessDuration;

    /** 业务id */
    @TableField("business_management_id")
    @ApiModelProperty("业务id")
    private Long businessManagementId;

    @TableField("project_name")
    @ApiModelProperty("服务项目名称")
    private String projectName;

    @TableField("project_type_name")
    @ApiModelProperty("项目类别名称")
    private String  projectTypeName;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;


}
