package com.leromro.core.domain;


import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 平台机构数据统计对象 l_org_stat_data
 * 
 * @author ruoyi
 * @date 2025-04-30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_org_stat_data")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrgStatData", description = "平台机构数据统计")
public class OrgStatData extends BaseEntity
{

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long orgStatDataId;

    @TableField("dept_id")
    @ApiModelProperty("机构表id")
    private String deptId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("stat_date")
    @ApiModelProperty("统计日期")
    private LocalDate statDate;

    @TableField("all_client_total")
    @ApiModelProperty("累计客户总数")
    private Integer allClientTotal;

    @TableField("all_volunteer_total")
    @ApiModelProperty("志愿者总数")
    private Integer allVolunteerTotal;

    @TableField("today_client_add")
    @ApiModelProperty("今日新增客户")
    private Integer todayClientAdd;

    @TableField("today_volunteer_add")
    @ApiModelProperty("今日新增志愿者")
    private Integer todayVolunteerAdd;

    @TableField("today_order_total")
    @ApiModelProperty("今日订单总量")
    private Integer todayOrderTotal;

    @TableField("all_order_total")
    @ApiModelProperty("累计订单总量(包含今日)")
    private Integer allOrderTotal;

    @TableField("today_order_amount")
    @ApiModelProperty("今日订单总金额")
    private BigDecimal todayOrderAmount;

    @TableField("all_order_amount")
    @ApiModelProperty("累计订单总金额(包含今日)")
    private BigDecimal allOrderAmount;

    @TableField("today_order_cancel_total")
    @ApiModelProperty("今日取消订单总量")
    private Integer todayOrderCancelTotal;

    @TableField("all_order_cancel_total")
    @ApiModelProperty("累计取消订单总量")
    private Integer allOrderCancelTotal;

    @TableField("today_order_finish_total")
    @ApiModelProperty("今日完成订单总量")
    private Integer todayOrderFinishTotal;

    @TableField("all_order_finish_total")
    @ApiModelProperty("累计完成订单总量")
    private Integer allOrderFinishTotal;

    @TableField("province_code")
    @ApiModelProperty("省级区划编号")
    private String provinceCode;

    @TableField("province_name")
    @ApiModelProperty("省级名称")
    private String provinceName;

    @TableField("city_code")
    @ApiModelProperty("市级编号")
    private String cityCode;

    @TableField("city_name")
    @ApiModelProperty("市级名称")
    private String cityName;

    @TableField("district_code")
    @ApiModelProperty("区级区划编号")
    private String districtCode;

    @TableField("district_name")
    @ApiModelProperty("区级名称")
    private String districtName;


}
