package com.leromro.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 主页轮播图或后续其他广告图片对象 l_slideshow
 * 
 * @author ruoyi
 * @date 2025-04-24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_slideshow")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "LSlideshow", description = "主页轮播图或后续其他广告图片")
public class Slideshow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.AUTO)
    private Long slideshowId;

    /** 图片字符串拼接起来 */
    @TableField("picture")
    @ApiModelProperty("图片字符串拼接起来")
    private String picture;


}
