package com.leromro.core.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 志愿者账号变动明细对象 l_volunteer_account_change
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_volunteer_account_change")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "VolunteerAccountChange", description = "志愿者账号变动明细")
public class VolunteerAccountChange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    private Long volunteerAccountChangeId;

    @TableField("volunteer_id")
    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    /** 变更类型 1增加0减少 */
    @TableField("change_type")
    @ApiModelProperty("变更类型 1增加0减少")
    private Integer changeType;

    /** 来源类型 1订单收入2评分奖励 10提现支出 */
    @TableField("source_type")
    @ApiModelProperty("来源类型 1订单收入2评分奖励 10提现支出")
    private Integer sourceType;

    /** 变更金额 */
    @TableField("change_money")
    @ApiModelProperty("变更金额")
    private BigDecimal changeMoney;

    /** 变更前可提现金额 */
    @TableField("before_balance")
    @ApiModelProperty("变更前可提现金额")
    private BigDecimal beforeBalance;

    /** 变更后可提现金额 */
    @TableField("after_balance")
    @ApiModelProperty("变更后可提现金额")
    private BigDecimal afterBalance;


}
