package com.leromro.core.domain;

import java.time.LocalDate;
import java.time.LocalTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 志愿者预约时间对象 l_volunteer_reservation_time
 * 
 * @author ruoyi
 * @date 2025-04-08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_volunteer_reservation_time")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "VolunteerReservationTime", description = "志愿者预约时间")
public class VolunteerReservationTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 志愿者预约时间id */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("志愿者预约时间id")
    private Long volunteerReservationTimeId;

    /** 志愿者id */
    @Excel(name = "志愿者id")
    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    /** 预约日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("预约日期")
    private LocalDate reservationDate;

    /** 预约时间 */
    @JsonFormat(pattern = "H:mm")
    @ApiModelProperty("预约时间")
    private LocalTime reservationTime;

    /** 客户id */
    @ApiModelProperty("预约客户id")
    private Long clientId;


}
