package com.leromro.core.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalTime;
import java.util.List;

@Data
public class AddReservationTimesDTO {

    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    @ApiModelProperty("预约客户id")
    private Long clientId;

    @ApiModelProperty("预约客户id")
    private List<ReservationInfo> infos;

    @Data
    public static class ReservationInfo {

        @JsonFormat(pattern = "yyyy-MM-dd")
        @ApiModelProperty("预约日期")
        private LocalDate reservationDate;

        @JsonFormat(pattern = "H:mm")
        @ApiModelProperty("预约时间")
        private List<LocalTime> reservationTimes;

    }
}
