package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.OrderFrozenFunds;
import org.apache.ibatis.annotations.Mapper;

/**
 * 订单资金冻结Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
@Mapper
public interface OrderFrozenFundsMapper extends BaseMapper<OrderFrozenFunds>
{
    /**
     * 查询订单资金冻结
     * 
     * @param orderFrozenFundsId 订单资金冻结主键
     * @return 订单资金冻结
     */
    public OrderFrozenFunds selectOrderFrozenFundsByOrderFrozenFundsId(Long orderFrozenFundsId);

    /**
     * 查询订单资金冻结列表
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 订单资金冻结集合
     */
    public List<OrderFrozenFunds> selectOrderFrozenFundsList(OrderFrozenFunds orderFrozenFunds);

    /**
     * 新增订单资金冻结
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 结果
     */
    public int insertOrderFrozenFunds(OrderFrozenFunds orderFrozenFunds);

    /**
     * 修改订单资金冻结
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 结果
     */
    public int updateOrderFrozenFunds(OrderFrozenFunds orderFrozenFunds);

    /**
     * 删除订单资金冻结
     * 
     * @param orderFrozenFundsId 订单资金冻结主键
     * @return 结果
     */
    public int deleteOrderFrozenFundsByOrderFrozenFundsId(Long orderFrozenFundsId);

    /**
     * 批量删除订单资金冻结
     * 
     * @param orderFrozenFundsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderFrozenFundsByOrderFrozenFundsIds(Long[] orderFrozenFundsIds);
}
