package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.VolunteerReservationTime;

/**
 * 志愿者预约时间Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-08
 */
public interface VolunteerReservationTimeMapper extends BaseMapper<VolunteerReservationTime>
{
    /**
     * 查询志愿者预约时间
     * 
     * @param volunteerReservationTimeId 志愿者预约时间主键
     * @return 志愿者预约时间
     */
    public VolunteerReservationTime selectVolunteerReservationTimeByVolunteerReservationTimeId(Long volunteerReservationTimeId);

    /**
     * 查询志愿者预约时间列表
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 志愿者预约时间集合
     */
    public List<VolunteerReservationTime> selectVolunteerReservationTimeList(VolunteerReservationTime volunteerReservationTime);

    /**
     * 新增志愿者预约时间
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 结果
     */
    public int insertVolunteerReservationTime(VolunteerReservationTime volunteerReservationTime);

    /**
     * 修改志愿者预约时间
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 结果
     */
    public int updateVolunteerReservationTime(VolunteerReservationTime volunteerReservationTime);

    /**
     * 删除志愿者预约时间
     * 
     * @param volunteerReservationTimeId 志愿者预约时间主键
     * @return 结果
     */
    public int deleteVolunteerReservationTimeByVolunteerReservationTimeId(Long volunteerReservationTimeId);

    /**
     * 批量删除志愿者预约时间
     * 
     * @param volunteerReservationTimeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVolunteerReservationTimeByVolunteerReservationTimeIds(Long[] volunteerReservationTimeIds);

    int insertVolunteerReservationTimeList(List<VolunteerReservationTime> reservationTimes);

    void deleteVolunteerReservationTimeList(List<VolunteerReservationTime> volunteerReservationTimeList);
}
