package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.VolunteerWorkDate;

/**
 * 志愿者排班日期Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-07
 */
public interface VolunteerWorkDateMapper extends BaseMapper<VolunteerWorkDate>
{
    /**
     * 查询志愿者排班日期
     * 
     * @param volunteerWorkDateId 志愿者排班日期主键
     * @return 志愿者排班日期
     */
    public VolunteerWorkDate selectVolunteerWorkDateByVolunteerWorkDateId(Long volunteerWorkDateId);

    /**
     * 查询志愿者排班日期列表
     * 
     * @param volunteerWorkDate 志愿者排班日期
     * @return 志愿者排班日期集合
     */
    public List<VolunteerWorkDate> selectVolunteerWorkDateList(VolunteerWorkDate volunteerWorkDate);

    /**
     * 新增志愿者排班日期
     * 
     * @param volunteerWorkDate 志愿者排班日期
     * @return 结果
     */
    public int insertVolunteerWorkDate(VolunteerWorkDate volunteerWorkDate);

    /**
     * 修改志愿者排班日期
     * 
     * @param volunteerWorkDate 志愿者排班日期
     * @return 结果
     */
    public int updateVolunteerWorkDate(VolunteerWorkDate volunteerWorkDate);

    /**
     * 删除志愿者排班日期
     * 
     * @param volunteerWorkDateId 志愿者排班日期主键
     * @return 结果
     */
    public int deleteVolunteerWorkDateByVolunteerWorkDateId(Long volunteerWorkDateId);

    /**
     * 批量删除志愿者排班日期
     * 
     * @param volunteerWorkDateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVolunteerWorkDateByVolunteerWorkDateIds(Long[] volunteerWorkDateIds);

    void updateVolunteerWorkDatebyVolunteerId(List<VolunteerWorkDate> workDateList);
}
